<?php
/**
* @version     $Id: colorpicker.php 10707 2008-08-21 09:52:47Z eddieajau $
* @package     Joomla.Framework
* @subpackage  Parameter
* @copyright   Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
* @license     GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// Check to ensure this file is within the rest of the framework
defined('JPATH_BASE') or die();

/**
 * Renders a colorpicker element
 *
 * @package    Joomla.Framework
 * @subpackage    Parameter
 * @since      1.5
 */

class JElementColorpickerStart extends JElement
{
   /**
   * Element name
   *
   * @access   protected
   * @var      string
   */
   var   $_name = 'colorpickerstart';

   function fetchElement( $name, $value, &$node, $control_name )
{ 
   $doc=JFactory::getDocument();


// Get path to colorpicker element
   $assetspath=JUri::root()."/modules/mod_clockwidget/elements/";


   $doc->addScript($assetspath.'colorpicker/'.'jquery-1.5.1.min.js');
   $doc->addScript($assetspath.'colorpicker/'.'farbtastic.js');
   $doc->addStyleSheet($assetspath.'colorpicker/'.'farbtastic.css');
   $doc->addStyleSheet($assetspath.'colorpicker/'.'farbtastic_premade.css');



// Output farbtastic color picker
   $return = '
   var j = jQuery.noConflict(); 
   j(document).ready(function() {
    j(\'#demo\').hide();

    var f = j.farbtastic(\'#picker\');
    var p = j(\'#picker\').css(\'opacity\', 0.25);
    var selected;


        j(\'.colorwell\')
      .each(function () { f.linkTo(this); j(this).css(\'opacity\', 0.75); })
      .focus(function() {
        if (selected) {
          j(selected).css(\'opacity\', 0.75).removeClass(\'colorwell-selected\');
        }
        f.linkTo(this);
        p.css(\'opacity\', 1);
        j(selected = this).css(\'opacity\', 1).addClass(\'colorwell-selected\');
      });
  });
  ';







   $doc->addScriptDeclaration($return);




// Output color picker input fields
  return <<<EOF
  </table>
<tr valign="top">
  <th scope="row">
    <h3>Colors</h3>
    <small>Click on each field to display the color picker.</small>
  </th>
  <td>
<!-- Show pack of color setters -->
 <div id="picker" style="float: right;"></div> 

EOF;



return $return;


}
}

?>